Eintragsdetails ansehen

IDProjektKategorieSichtbarkeitZuletzt aktualisiert
0002651EresseaZAUBERöffentlich2020-03-28 15:03
ReporterXolgrim Bearbeitung durchEnno  
PrioritätnormalSchweregradkleinerer FehlerReproduzierbarnicht getestet
Status anerkanntLösungoffen 
Produktversion3.23 
Zusammenfassung0002651: Zauber mit Stufenangaben aber feste Aurakosten. Anzeigefehle bei der Zauberbeschreibung?
Beschreibung

Einige Zauber haben eine Stufenangaben, jedoch feste Aurakosten. Eventuell ein Anzeigefehle bei der Zauberbeschreibung?

Wirbelwind:
Komponenten: 15 Aura
Syntax: KAMPFZAUBER [STUFE n] "Wirbelwind"

Friedenslied:
Komponenten: 2 Aura
Syntax: KAMPFZAUBER [STUFE n] "Friedenslied"

Störe Astrale Integrität:
Komponenten: 140 Aura
Syntax: ZAUBERE [STUFE n] "Störe Astrale Integrität"

Mauern der Ewigkeit:
Komponenten: 50 Aura, 1 permanente Aura
Syntax: ZAUBERE [STUFE n] "Mauern der Ewigkeit" <Gebäude-Nr>

Befehl in 1158:

EINHEIT w31j; Hexe Thjame Gundalfsdottir [1,882693$,b:vrz3(2/25)] hinten
; Magie 28, Aura 68(-14) [622(-1)], Ausdauer 28, Hiebwaffen 13
ZAUBERE Stufe 2 "Mauern der Ewigkeit" cync sy5e
// Test cync sy5e verzaubert?

Resultat in 1159:
EINHEIT w31j; Hexe Thjame Gundalfsdottir [1,882683$,b:vrz3(2/25)] hinten
; > Hexe Thjame Gundalfsdottir (w31j) in Ebene der Elemente (3,-1) regeneriert 32 Aura.
; Magie 28, Aura 50(-18) [621(-1)], Ausdauer 28, Hiebwaffen 13
// Test cync sy5e verzaubert?
; auf T28: 24850$, reg.: 32 Aura
LERNE Magie

50 Aura und 1 Permanente verbraucht

Die erste Akademie ist verzaubert, die zweite nicht.

; In Akademie 'Akademie' (cync) [0/25]:
; Der Zahn der Zeit kann diesen Mauern nichts anhaben. (6twv)

; In Akademie 'Akademie' (sy5e) [10/25]:

Wie es scheint hatte die Stufe absolut keinen Einfluss auf den Zauber. Die anderen drei Zauber habe ich nicht getestet aber da sieht es vermutlich ähnlich aus. Es sei denn die Stufe tut Dinge, die man nicht sehen kann.

ParteioLm
SpielE2
Report1159

Notizen / Dateien

Solthar

Solthar

2020-03-15 12:43

Entwickler   ~0008736

Dass die zweite Akademie nicht verzaubert ist, ist kein Bug, sondern das beabsichtigte Verhalten. Verwirrend ist nur, dass der Zauber überhaupt mit variabler Stufe gezaubert werden kann.

Es gibt genau vier Zauber, die mit variabler Stufe aber festen Kosten gezaubert werden:
Wirbelwind, Friedenslied, Störe Astrale Integrität und eben Mauern der Ewigkeit.

Zum Beispiel
<spell name="eternal_walls" rank="5" parameters="b" ship="true" variable="true">
<resource name="aura" amount="50" cost="fixed"/>
<resource name="permaura" amount="1" cost="fixed"/>
</spell>

aber

<spell name="holyground" rank="5">
<resource name="aura" amount="80" cost="fixed"/>
<resource name="permaura" amount="3" cost="fixed"/>
</spell>

Bei Heiliger Boden also keine Variablen Kosten.

Die Stufe geht in die Stärke der Verzauberung ein:
static int sp_eternizewall(castorder co) {
// ....
c = create_curse(mage, &b->attribs, &ct_nocostbuilding,
power
power, 1, zero_effect, 0);

Was vermutlich wiederum beeinflusst, wie leicht der Zauber zu brechen ist durch Antimagie. Besonders bei den Kampfzaubern ist das natürlich relevant. Hier gilt auch kleinere Stufe = weniger Patzer? Bei Störe Astrale Integrität geht die Stufe in die Distanz ein, die gestört wird. Das ist natürlich auch sinnvoll.

Das ist im Grunde alles kein Bug. Das Problem ist hier aber, dass das erstens inkonsequent ist (Warum bei Mauern der Ewigkeit, aber nicht bei Heiliger Boden?) und zweitens intransparent, denn was der Effekt der Stufe ist, ist für Menschen, die den Code nicht angeschaut haben, nur ganz schwer zu erraten.

Ich schlage vor, die Beschreibung zu ergänzen und eventuell bei ein paar anderen Zaubern, wie Heiliger Boden, variable=true zu setzen.

Xolgrim

Xolgrim

2020-03-15 21:24

Entwickler   ~0008737

Ich wollte es ja auch nicht als Bug melden, dass die zweite Akademie nicht verzaubert worden ist. Lediglich darlegen, dass kein sichtbarer Effekt durch die Stufe entstanden ist.

Enno

Enno

2020-03-22 10:28

Administrator   ~0008738

Deine Klage hier ist, dass man ein Stufe angeben kann, aber Effekt und Kosten nicht stufenabhängig sind? Man könnte das also eventuell lösen, indem man nur das [STUFE n] aus der Beschriebung entfernt? Das klingt einfach.

Solthar

Solthar

2020-03-22 11:20

Entwickler   ~0008739

Okay, soweit ich das gegenwärtig verstehe, werden Zauber mit Fixkosten immer auf der Stufe des Zaubers im Zauberbuch gesprochen. Insofern wäre die Stufenangabe sinnlos und es reicht, die Einträge in spells.xml anzupassen.

Pyanfar

Pyanfar

2020-03-28 15:03

Reporter   ~0008762

Frage zur letzten Bemerkung: Es gibt Zauber mit Fixkosten und ohne Stufenangabe, bei denen aber dennoch die Stufe des MAGIERS in Effekte wie z.B. die Dauer einfliesst. ich denke da z.B. an Schöne/Schlechte Träume. Geht es jetzt nur um Bereinigung von Code und Beschreibung, oder sollen tatsächlich die Formeln für Zauberdauer, Antimagie-Resistenz des Zaubers ect. auf die ZauberBUCH-Stufe festgesetzt werden?

Eintrags-Historie

Änderungsdatum Benutzername Feld Änderung
2020-03-15 12:03 Xolgrim Neuer Eintrag
2020-03-15 12:43 Solthar Notiz hinzugefügt: 0008736
2020-03-15 21:24 Xolgrim Notiz hinzugefügt: 0008737
2020-03-22 10:28 Enno Notiz hinzugefügt: 0008738
2020-03-22 10:28 Enno Bearbeitung durch => Enno
2020-03-22 10:28 Enno Status neu => anerkannt
2020-03-22 11:20 Solthar Notiz hinzugefügt: 0008739
2020-03-28 15:03 Pyanfar Notiz hinzugefügt: 0008762